|  | Home · All Classes · Modules

# QTimerEvent Class Reference
[QtCore module]

The QTimerEvent class contains parameters that describe a timer event. More...

Inherits QEvent.

### Methods

- __init__ (self, int timerId)
- __init__ (self, QTimerEvent other)
- int timerId (self)

## Detailed Description

The QTimerEvent class contains parameters that describe a timer event.

Timer events are sent at regular intervals to objects that have started one or more timers. Each timer has a unique identifier. A timer is started with QObject.startTimer().

The QTimer class provides a high-level programming interface that uses signals instead of events. It also provides single-shot timers.

The event handler QObject.timerEvent() receives timer events.

See also QTimer, QObject.timerEvent(), QObject.startTimer(), and QObject.killTimer().

## Method Documentation

### QTimerEvent.__init__ (self, int timerId)

Constructs a timer event object with the timer identifier set to timerId.

### QTimerEvent.__init__ (self, QTimerEvent other)

### int QTimerEvent.timerId (self)

Returns the unique timer identifier, which is the same identifier as returned from QObject.startTimer().